package com.ruoyi.demo.service;

import com.ruoyi.demo.entity.Store;
import com.ruoyi.demo.entity.bo.StoreBo;
import com.ruoyi.demo.entity.vo.StoreVo;

import java.util.HashMap;
import java.util.List;

public interface StoreService {
    void addStore(StoreVo storeVo);

    void updateStore(StoreVo storeVo);

    void deleteStore(String[] storeIds);

    HashMap getStoreList(StoreVo storeVo);

    Store getStore(String storeId);
}
